{% extends 'index.html' %} {% load static %} {% block content %}

<ul class="nav nav-pills" id="list_show" style="margin-left: 5px; margin-right: 5px; ">
	<li style="cursor: pointer;" class="nav-items change_view" id="show_list">
		<a data-toggle="tab" class="nav-link  active show" href="list_view">
			<span>Tipificaciones</span>
		</a>
	</li>
	<li style="cursor: pointer;" class="nav-items change_view" id="show_create">
		<a data-toggle="tab" class="nav-link" href="create_view">
			<span>Nuevo</span>
		</a>
	</li>
</ul>

<div class="tab-content">
	<div class="tab-pane fade active show view_detail" id="list_view">
		<div>
			{%include 'Interfaz/Agente/Typify/list.html'%}
		</div>
	</div>
	<div class="tab-pane fade view_detail" id="create_view">
		<div>
			{%include 'Interfaz/Agente/Typify/typify.html'%}
		</div>
	</div>
</div>

<div class="modal show" id="modals" style="display: none;" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title" id="modal-title"></h4>
				<button
					type="button"
					class="btn btn-secondary"
					style="background-color: #348fe2; border-color: #348fe2;"
					data-dismiss="modal"
					aria-hidden="true"
					id="modal_button"
				>
					Listo
				</button>
			</div>
			<div class="modal-body" id="modal-html"></div>
		</div>
	</div>
</div>

{% endblock %} {% block logic %}
<script>
	$(document).ready(function() {
		$('#modal_button').click(function() {
			$('#modals').hide();
		});

		$('.change_view').click(function() {
			var ID = $(this).attr('id');
			var id_detail = '';

			$('.view_detail').removeClass('active');
			$('.view_detail').removeClass('show');

			switch (ID) {
				case 'show_create':
					id_detail = 'create_view';

					break;

				case 'show_list':
					id_detail = 'list_view';

					break;

				default:
					id_detail = 'typify_view_{0}'.format(ID.replace('button_', ''));
			}

			$('#{0}'.format(id_detail)).addClass('active');
			$('#{0}'.format(id_detail)).addClass('show');
		});
	});
</script>
<script src="{% static 'commponents/history/history.js' %}"></script>
<script src="{% static 'commponents/typify/typify.js' %}"></script>
<script src="{% static 'commponents/typify/list.js' %}"></script>
{% endblock %}
